//////////////////////////////////////////////////////////////
//      $Id: debDpkgInterface.h,v 1.7 2001/09/26 16:33:31 mlaurent Exp $ 
//
// Author: Toivo Pedaste
//
//////////////////////////////////////////////////////////////

#ifndef DEBDPKG_IFACE_H
#define DEBDPKG_IFACE_H

#include "../config.h"

#include "debInterface.h"

class packageInfo;
class updateLoc;
class cacheObj;

class DEBDPKG: public DEB
{
  Q_OBJECT

public:
  DEBDPKG();
  ~DEBDPKG();
  
  QString doUninstall(int installFlags, QString packs, bool &test);

  void listPackList(QPtrList<packageInfo> *pki, const QString &fname,
		    cacheObj *cp);

  void listPackages(QPtrList<packageInfo> *pki);
  void distPackages(QPtrList<packageInfo> *pki, cacheObj *cp);

public slots:

protected:
  packageInfo *getIPackageInfo(const QString &name);
  packageInfo *getUPackageInfo(const QString &name);

};

#endif



